Logo

Docs

Search

Endpoints

Search endpoint reference.

GET
/search

Query Parameters

lang?string

Preferred language as a BCP 47 language tag.

term*string

Search term.

types?string

Comma-separated result groups to return.

fields[song]?string

Comma-separated song fields.

fields[album]?string

Comma-separated album fields.

fields[artist]?string

Comma-separated artist fields.

fields[playlist]?string

Comma-separated playlist fields.

limit?integer

Maximum number of resources per returned search group. The usual maximum is 100. The top group always returns at most 10 resources.

offset?integer

Number of resources to skip.

Response Body

application/json

application/json

curl -X GET "https://example.com/search?lang=en-US&term=string&fields%5Bsong%5D=name%2CartworkUrl&fields%5Balbum%5D=name%2CartworkUrl&fields%5Bartist%5D=name%2CartworkUrl&fields%5Bplaylist%5D=name%2Cdescription"
{  "songs": {    "data": [      {        "id": "123456789",        "type": "song",        "attributes": {          "name": "string",          "files": {            "preferred": {              "id": "string",              "lossless": true,              "mimeType": "audio/flac",              "sizeBytes": 0,              "durationMs": 0,              "streamUrl": "http://example.com",              "downloadUrl": "http://example.com",              "codec": "flac",              "bitrateKbps": 0,              "sampleRateHz": 0,              "channels": 1            },            "alternatives": [              {                "id": "string",                "lossless": true,                "mimeType": "audio/flac",                "sizeBytes": 0,                "durationMs": 0,                "streamUrl": "http://example.com",                "downloadUrl": "http://example.com",                "codec": "flac",                "bitrateKbps": 0,                "sampleRateHz": 0,                "channels": 1              }            ]          },          "albumName": "string",          "artistName": "string",          "isrc": "string",          "artworkUrl": "string",          "trackNumber": 1,          "discNumber": 1,          "genres": [            "string"          ],          "releaseDate": "string",          "durationMs": 0,          "lyrics": {            "lang": "en-US",            "text": "string",            "ttml": "string"          }        },        "relationships": {          "albums": {            "data": [              {                "id": "123456789",                "type": "album",                "attributes": {                  "name": "string",                  "trackCount": 0,                  "artistName": "string",                  "artworkUrl": "string",                  "upc": "string",                  "genres": [                    "string"                  ],                  "releaseDate": "string"                },                "relationships": {                  "tracks": {                    "data": [],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "artists": {                    "data": [                      {                        "id": "123456789",                        "type": "artist",                        "attributes": {                          "name": "string",                          "artworkUrl": "string"                        },                        "relationships": {                          "tracks": {                            "data": [],                            "meta": {}                          },                          "albums": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          },          "artists": {            "data": [              {                "id": "123456789",                "type": "artist",                "attributes": {                  "name": "string",                  "artworkUrl": "string"                },                "relationships": {                  "tracks": {                    "data": [],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "albums": {                    "data": [                      {                        "id": "123456789",                        "type": "album",                        "attributes": {                          "name": "string",                          "trackCount": 0,                          "artistName": "string",                          "artworkUrl": "string",                          "upc": "string",                          "genres": [                            "string"                          ],                          "releaseDate": "string"                        },                        "relationships": {                          "tracks": {                            "data": [],                            "meta": {}                          },                          "artists": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          }        }      }    ],    "meta": {      "limit": 0,      "offset": 0,      "total": 0    }  },  "albums": {    "data": [      {        "id": "123456789",        "type": "album",        "attributes": {          "name": "string",          "trackCount": 0,          "artistName": "string",          "artworkUrl": "string",          "upc": "string",          "genres": [            "string"          ],          "releaseDate": "string"        },        "relationships": {          "tracks": {            "data": [              {                "id": "123456789",                "type": "song",                "attributes": {                  "name": "string",                  "files": {                    "preferred": {                      "id": "string",                      "lossless": true,                      "mimeType": "audio/flac",                      "sizeBytes": 0,                      "durationMs": 0,                      "streamUrl": "http://example.com",                      "downloadUrl": "http://example.com",                      "codec": "flac",                      "bitrateKbps": 0,                      "sampleRateHz": 0,                      "channels": 1                    },                    "alternatives": [                      {                        "id": "string",                        "lossless": true,                        "mimeType": "audio/flac",                        "sizeBytes": 0,                        "durationMs": 0,                        "streamUrl": "http://example.com",                        "downloadUrl": "http://example.com",                        "codec": "flac",                        "bitrateKbps": 0,                        "sampleRateHz": 0,                        "channels": 1                      }                    ]                  },                  "albumName": "string",                  "artistName": "string",                  "isrc": "string",                  "artworkUrl": "string",                  "trackNumber": 1,                  "discNumber": 1,                  "genres": [                    "string"                  ],                  "releaseDate": "string",                  "durationMs": 0,                  "lyrics": {                    "lang": "en-US",                    "text": "string",                    "ttml": "string"                  }                },                "relationships": {                  "albums": {                    "data": [],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "artists": {                    "data": [                      {                        "id": "123456789",                        "type": "artist",                        "attributes": {                          "name": "string",                          "artworkUrl": "string"                        },                        "relationships": {                          "tracks": {                            "data": [],                            "meta": {}                          },                          "albums": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          },          "artists": {            "data": [              {                "id": "123456789",                "type": "artist",                "attributes": {                  "name": "string",                  "artworkUrl": "string"                },                "relationships": {                  "tracks": {                    "data": [                      {                        "id": "123456789",                        "type": "song",                        "attributes": {                          "name": "string",                          "files": {                            "preferred": {},                            "alternatives": [                              {}                            ]                          },                          "albumName": "string",                          "artistName": "string",                          "isrc": "string",                          "artworkUrl": "string",                          "trackNumber": 1,                          "discNumber": 1,                          "genres": [                            "string"                          ],                          "releaseDate": "string",                          "durationMs": 0,                          "lyrics": {                            "lang": "en-US",                            "text": "string",                            "ttml": "string"                          }                        },                        "relationships": {                          "albums": {                            "data": [],                            "meta": {}                          },                          "artists": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "albums": {                    "data": [],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          }        }      }    ],    "meta": {      "limit": 0,      "offset": 0,      "total": 0    }  },  "artists": {    "data": [      {        "id": "123456789",        "type": "artist",        "attributes": {          "name": "string",          "artworkUrl": "string"        },        "relationships": {          "tracks": {            "data": [              {                "id": "123456789",                "type": "song",                "attributes": {                  "name": "string",                  "files": {                    "preferred": {                      "id": "string",                      "lossless": true,                      "mimeType": "audio/flac",                      "sizeBytes": 0,                      "durationMs": 0,                      "streamUrl": "http://example.com",                      "downloadUrl": "http://example.com",                      "codec": "flac",                      "bitrateKbps": 0,                      "sampleRateHz": 0,                      "channels": 1                    },                    "alternatives": [                      {                        "id": "string",                        "lossless": true,                        "mimeType": "audio/flac",                        "sizeBytes": 0,                        "durationMs": 0,                        "streamUrl": "http://example.com",                        "downloadUrl": "http://example.com",                        "codec": "flac",                        "bitrateKbps": 0,                        "sampleRateHz": 0,                        "channels": 1                      }                    ]                  },                  "albumName": "string",                  "artistName": "string",                  "isrc": "string",                  "artworkUrl": "string",                  "trackNumber": 1,                  "discNumber": 1,                  "genres": [                    "string"                  ],                  "releaseDate": "string",                  "durationMs": 0,                  "lyrics": {                    "lang": "en-US",                    "text": "string",                    "ttml": "string"                  }                },                "relationships": {                  "albums": {                    "data": [                      {                        "id": "123456789",                        "type": "album",                        "attributes": {                          "name": "string",                          "trackCount": 0,                          "artistName": "string",                          "artworkUrl": "string",                          "upc": "string",                          "genres": [                            "string"                          ],                          "releaseDate": "string"                        },                        "relationships": {                          "tracks": {                            "data": [],                            "meta": {}                          },                          "artists": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "artists": {                    "data": [],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          },          "albums": {            "data": [              {                "id": "123456789",                "type": "album",                "attributes": {                  "name": "string",                  "trackCount": 0,                  "artistName": "string",                  "artworkUrl": "string",                  "upc": "string",                  "genres": [                    "string"                  ],                  "releaseDate": "string"                },                "relationships": {                  "tracks": {                    "data": [                      {                        "id": "123456789",                        "type": "song",                        "attributes": {                          "name": "string",                          "files": {                            "preferred": {},                            "alternatives": [                              {}                            ]                          },                          "albumName": "string",                          "artistName": "string",                          "isrc": "string",                          "artworkUrl": "string",                          "trackNumber": 1,                          "discNumber": 1,                          "genres": [                            "string"                          ],                          "releaseDate": "string",                          "durationMs": 0,                          "lyrics": {                            "lang": "en-US",                            "text": "string",                            "ttml": "string"                          }                        },                        "relationships": {                          "albums": {                            "data": [],                            "meta": {}                          },                          "artists": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "artists": {                    "data": [],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          }        }      }    ],    "meta": {      "limit": 0,      "offset": 0,      "total": 0    }  },  "playlists": {    "data": [      {        "id": "123456789",        "type": "playlist",        "attributes": {          "name": "string",          "trackCount": 0,          "curatorName": "string",          "artworkUrl": "string",          "description": "string"        },        "relationships": {          "tracks": {            "data": [              {                "id": "123456789",                "type": "song",                "attributes": {                  "name": "string",                  "files": {                    "preferred": {                      "id": "string",                      "lossless": true,                      "mimeType": "audio/flac",                      "sizeBytes": 0,                      "durationMs": 0,                      "streamUrl": "http://example.com",                      "downloadUrl": "http://example.com",                      "codec": "flac",                      "bitrateKbps": 0,                      "sampleRateHz": 0,                      "channels": 1                    },                    "alternatives": [                      {                        "id": "string",                        "lossless": true,                        "mimeType": "audio/flac",                        "sizeBytes": 0,                        "durationMs": 0,                        "streamUrl": "http://example.com",                        "downloadUrl": "http://example.com",                        "codec": "flac",                        "bitrateKbps": 0,                        "sampleRateHz": 0,                        "channels": 1                      }                    ]                  },                  "albumName": "string",                  "artistName": "string",                  "isrc": "string",                  "artworkUrl": "string",                  "trackNumber": 1,                  "discNumber": 1,                  "genres": [                    "string"                  ],                  "releaseDate": "string",                  "durationMs": 0,                  "lyrics": {                    "lang": "en-US",                    "text": "string",                    "ttml": "string"                  }                },                "relationships": {                  "albums": {                    "data": [                      {                        "id": "123456789",                        "type": "album",                        "attributes": {                          "name": "string",                          "trackCount": 0,                          "artistName": "string",                          "artworkUrl": "string",                          "upc": "string",                          "genres": [                            "string"                          ],                          "releaseDate": "string"                        },                        "relationships": {                          "tracks": {                            "data": [],                            "meta": {}                          },                          "artists": {                            "data": [                              null                            ],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "artists": {                    "data": [                      {                        "id": "123456789",                        "type": "artist",                        "attributes": {                          "name": "string",                          "artworkUrl": "string"                        },                        "relationships": {                          "tracks": {                            "data": [],                            "meta": {}                          },                          "albums": {                            "data": [                              null                            ],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          }        }      }    ],    "meta": {      "limit": 0,      "offset": 0,      "total": 0    }  },  "top": {    "data": [      {        "id": "123456789",        "type": "song",        "attributes": {          "name": "string",          "files": {            "preferred": {              "id": "string",              "lossless": true,              "mimeType": "audio/flac",              "sizeBytes": 0,              "durationMs": 0,              "streamUrl": "http://example.com",              "downloadUrl": "http://example.com",              "codec": "flac",              "bitrateKbps": 0,              "sampleRateHz": 0,              "channels": 1            },            "alternatives": [              {                "id": "string",                "lossless": true,                "mimeType": "audio/flac",                "sizeBytes": 0,                "durationMs": 0,                "streamUrl": "http://example.com",                "downloadUrl": "http://example.com",                "codec": "flac",                "bitrateKbps": 0,                "sampleRateHz": 0,                "channels": 1              }            ]          },          "albumName": "string",          "artistName": "string",          "isrc": "string",          "artworkUrl": "string",          "trackNumber": 1,          "discNumber": 1,          "genres": [            "string"          ],          "releaseDate": "string",          "durationMs": 0,          "lyrics": {            "lang": "en-US",            "text": "string",            "ttml": "string"          }        },        "relationships": {          "albums": {            "data": [              {                "id": "123456789",                "type": "album",                "attributes": {                  "name": "string",                  "trackCount": 0,                  "artistName": "string",                  "artworkUrl": "string",                  "upc": "string",                  "genres": [                    "string"                  ],                  "releaseDate": "string"                },                "relationships": {                  "tracks": {                    "data": [                      {                        "id": "123456789",                        "type": "song",                        "attributes": {                          "name": "string",                          "files": {                            "preferred": {},                            "alternatives": [                              {}                            ]                          },                          "albumName": "string",                          "artistName": "string",                          "isrc": "string",                          "artworkUrl": "string",                          "trackNumber": 1,                          "discNumber": 1,                          "genres": [                            "string"                          ],                          "releaseDate": "string",                          "durationMs": 0,                          "lyrics": {                            "lang": "en-US",                            "text": "string",                            "ttml": "string"                          }                        },                        "relationships": {}                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "artists": {                    "data": [                      {                        "id": "123456789",                        "type": "artist",                        "attributes": {                          "name": "string",                          "artworkUrl": "string"                        },                        "relationships": {                          "tracks": {                            "data": [                              null                            ],                            "meta": {}                          },                          "albums": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          },          "artists": {            "data": [              {                "id": "123456789",                "type": "artist",                "attributes": {                  "name": "string",                  "artworkUrl": "string"                },                "relationships": {                  "tracks": {                    "data": [                      {                        "id": "123456789",                        "type": "song",                        "attributes": {                          "name": "string",                          "files": {                            "preferred": {},                            "alternatives": [                              {}                            ]                          },                          "albumName": "string",                          "artistName": "string",                          "isrc": "string",                          "artworkUrl": "string",                          "trackNumber": 1,                          "discNumber": 1,                          "genres": [                            "string"                          ],                          "releaseDate": "string",                          "durationMs": 0,                          "lyrics": {                            "lang": "en-US",                            "text": "string",                            "ttml": "string"                          }                        },                        "relationships": {}                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  },                  "albums": {                    "data": [                      {                        "id": "123456789",                        "type": "album",                        "attributes": {                          "name": "string",                          "trackCount": 0,                          "artistName": "string",                          "artworkUrl": "string",                          "upc": "string",                          "genres": [                            "string"                          ],                          "releaseDate": "string"                        },                        "relationships": {                          "tracks": {                            "data": [                              null                            ],                            "meta": {}                          },                          "artists": {                            "data": [],                            "meta": {}                          }                        }                      }                    ],                    "meta": {                      "limit": 0,                      "offset": 0,                      "total": 0                    }                  }                }              }            ],            "meta": {              "limit": 0,              "offset": 0,              "total": 0            }          }        }      }    ],    "meta": {      "limit": 0,      "offset": 0,      "total": 0    }  }}
{  "error": {    "status": 100,    "message": "string",    "details": [      {        "message": "string",        "param": "string",        "value": null      }    ],    "requestId": "string"  }}
GET
/search/{type}

Path Parameters

type*string

Query Parameters

lang?string

Preferred language as a BCP 47 language tag.

term*string

Search term.

fields[song]?string

Comma-separated song fields.

fields[album]?string

Comma-separated album fields.

fields[artist]?string

Comma-separated artist fields.

fields[playlist]?string

Comma-separated playlist fields.

limit?integer

Maximum number of resources per returned search group. The usual maximum is 100. The top group always returns at most 10 resources.

offset?integer

Number of resources to skip.

Response Body

application/json

application/json

curl -X GET "https://example.com/search/song?lang=en-US&term=string&fields%5Bsong%5D=name%2CartworkUrl&fields%5Balbum%5D=name%2CartworkUrl&fields%5Bartist%5D=name%2CartworkUrl&fields%5Bplaylist%5D=name%2Cdescription"
{  "data": [    {      "id": "123456789",      "type": "song",      "attributes": {        "name": "string",        "files": {          "preferred": {            "id": "string",            "lossless": true,            "mimeType": "audio/flac",            "sizeBytes": 0,            "durationMs": 0,            "streamUrl": "http://example.com",            "downloadUrl": "http://example.com",            "codec": "flac",            "bitrateKbps": 0,            "sampleRateHz": 0,            "channels": 1          },          "alternatives": [            {              "id": "string",              "lossless": true,              "mimeType": "audio/flac",              "sizeBytes": 0,              "durationMs": 0,              "streamUrl": "http://example.com",              "downloadUrl": "http://example.com",              "codec": "flac",              "bitrateKbps": 0,              "sampleRateHz": 0,              "channels": 1            }          ]        },        "albumName": "string",        "artistName": "string",        "isrc": "string",        "artworkUrl": "string",        "trackNumber": 1,        "discNumber": 1,        "genres": [          "string"        ],        "releaseDate": "string",        "durationMs": 0,        "lyrics": {          "lang": "en-US",          "text": "string",          "ttml": "string"        }      },      "relationships": {        "albums": {          "data": [            {              "id": "123456789",              "type": "album",              "attributes": {                "name": "string",                "trackCount": 0,                "artistName": "string",                "artworkUrl": "string",                "upc": "string",                "genres": [                  "string"                ],                "releaseDate": "string"              },              "relationships": {                "tracks": {                  "data": [],                  "meta": {                    "limit": 0,                    "offset": 0,                    "total": 0                  }                },                "artists": {                  "data": [                    {                      "id": "123456789",                      "type": "artist",                      "attributes": {                        "name": "string",                        "artworkUrl": "string"                      },                      "relationships": {                        "tracks": {                          "data": [],                          "meta": {                            "limit": 0,                            "offset": 0,                            "total": 0                          }                        },                        "albums": {                          "data": [],                          "meta": {                            "limit": 0,                            "offset": 0,                            "total": 0                          }                        }                      }                    }                  ],                  "meta": {                    "limit": 0,                    "offset": 0,                    "total": 0                  }                }              }            }          ],          "meta": {            "limit": 0,            "offset": 0,            "total": 0          }        },        "artists": {          "data": [            {              "id": "123456789",              "type": "artist",              "attributes": {                "name": "string",                "artworkUrl": "string"              },              "relationships": {                "tracks": {                  "data": [],                  "meta": {                    "limit": 0,                    "offset": 0,                    "total": 0                  }                },                "albums": {                  "data": [                    {                      "id": "123456789",                      "type": "album",                      "attributes": {                        "name": "string",                        "trackCount": 0,                        "artistName": "string",                        "artworkUrl": "string",                        "upc": "string",                        "genres": [                          "string"                        ],                        "releaseDate": "string"                      },                      "relationships": {                        "tracks": {                          "data": [],                          "meta": {                            "limit": 0,                            "offset": 0,                            "total": 0                          }                        },                        "artists": {                          "data": [],                          "meta": {                            "limit": 0,                            "offset": 0,                            "total": 0                          }                        }                      }                    }                  ],                  "meta": {                    "limit": 0,                    "offset": 0,                    "total": 0                  }                }              }            }          ],          "meta": {            "limit": 0,            "offset": 0,            "total": 0          }        }      }    }  ],  "meta": {    "limit": 0,    "offset": 0,    "total": 0  }}
{  "error": {    "status": 100,    "message": "string",    "details": [      {        "message": "string",        "param": "string",        "value": null      }    ],    "requestId": "string"  }}
GET
/search/suggestions

Query Parameters

term*string

Search term.

Response Body

application/json

application/json

curl -X GET "https://example.com/search/suggestions?term=string"
[  "string"]
{  "error": {    "status": 100,    "message": "string",    "details": [      {        "message": "string",        "param": "string",        "value": null      }    ],    "requestId": "string"  }}